## org.apache.poi.xssf.usermodel.charts
Class XSSFScatterChartData

    java.lang.Object
      org.apache.poi.xssf.usermodel.charts.XSSFScatterChartData

All Implemented Interfaces:
  ChartData, ScatterChartData

    @Beta
    public class XSSFScatterChartData

extends java.lang.Object
implements ScatterChartData

Represents DrawingML scatter charts.

Author:
  Roman Kashitsyn

Constructor Summary
`XSSFScatterChartData()`

Method Summary
`ScatterChartSerie` `addSerie(ChartDataSource<?> xs, ChartDataSource<? extends java.lang.Number> ys)`
`void` `fillChart(Chart chart, ChartAxis... axis)` Fills a charts with data specified by implementation.
`java.util.List<? extends org.apache.poi.xssf.usermodel.charts.XSSFScatterChartData.Serie>` `getSeries()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSSFScatterChartData

    public XSSFScatterChartData()

Method Detail

### addSerie

    public ScatterChartSerie addSerie(ChartDataSource<?> xs,
                                      ChartDataSource<? extends java.lang.Number> ys)

  Specified by:
    `addSerie` in interface `ScatterChartData`
  Parameters:
    `xs` - data source to be used for X axis values
    `ys` - data source to be used for Y axis values
  Returns:
    a new scatter charts serie

### fillChart

    public void fillChart(Chart chart,
                          ChartAxis... axis)

  Description copied from interface: `ChartData`
  Fills a charts with data specified by implementation.

  Specified by:
    `fillChart` in interface `ChartData`
  Parameters:
    `chart` - a charts to fill in
    `axis` - charts axis to use

### getSeries

    public java.util.List<? extends org.apache.poi.xssf.usermodel.charts.XSSFScatterChartData.Serie> getSeries()

  Specified by:
    `getSeries` in interface `ScatterChartData`
  Returns:
    list of all series

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.